Subject: Re: bug#24666: converting srfi-18.test to standalone test case for debugging
From: Andy Wingo <[email-masked]>
To: Jack Howarth <[email-masked]>
Cc: [email-masked]
Date: Wed, 01 Mar 2017 10:42:36 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On Thu 20 Oct 2016 19:08, Jack Howarth <[email-masked]> writes:

> I finally puzzled out how to run the srfi-18.test failing test case as
> a stand alone one with...
>
> cd /opt/local/var/macports/build/_Users_howarth_ports_lang_guile/guile/work/guile-2.0.13/test-suite
> setenv GUILE_LOAD_PATH
> /opt/local/var/macports/build/_Users_howarth_ports_lang_guile/guile/work/guile-2.0.13/test-suite
> setenv TEST_SUITE_DIR
> /opt/local/var/macports/build/_Users_howarth_ports_lang_guile/guile/work/guile-2.0.13/test-suite/tests
> /opt/local/bin/guile  -e main -s guile-test srfi-18.test
>
> Running srfi-18.test
> FAIL: srfi-18.test: thread-terminate!: termination destroys non-started thread
> FAIL: srfi-18.test: thread-terminate!: termination destroys started thread
>
> Totals for this test run:
> passes:                 59
> failures:               2
> unexpected passes:      0
> expected failures:      0
> unresolved test cases:  0
> untested test cases:    0
> unsupported test cases: 0
> errors:                 0
>
> While the comments in guile-test mentioned the requirement for setting
> TEST_SUITE_DIR, it is missing any discussion of the need to set
> GUILE_LOAD_PATH as well. That should be added.

Thanks for tracking this one down.  I usually only run "./check-guile
srfi-18.test"; I never looked seriously into this file.  There's a bit
of a mess here and elsewhere in the test suite about modules and paths,
but I did add a comment.

FYI in the upcoming Guile 2.2 (and already in the prereleases),
thread-terminate! should be much more reliable.

Andy